### codeanticode.glgraphics

# Class GLState

- `java.lang.Object`
- - `codeanticode.glgraphics.GLState`

`public class GLState`
`extends java.lang.Object`

  ## Field Summary
  `static boolean` | `fboMultisampleAvailable`
  `static boolean` | `fbosAvailable`
  `static boolean` | `floatTexAvailable`
  `static boolean` | `fragShadersAvailable`
  `static boolean` | `geoShadersAvailable`
  `static GL` | `gl`
  `static boolean` | `glsl100Available`
  `static GLU` | `glu`
  `static boolean` | `multiTexAvailable`
  `static boolean` | `nonTwoPowTexAvailable`
  `static boolean` | `shadersAvailable`
  `static boolean` | `vbosAvailable`
  `static boolean` | `vertShadersAvailable`

  ## Constructor Summary
  `GLState(GL gl)`

  ## Method Summary
  `void` | `clearColorBuffer(int color)`
  `void` | `clearTex(int glid, int target, int color)`
  `void` | `copyTex(GLTexture srcTex, GLTexture destTex)`
  `static void` | `disablePopFramebuffer()`
  `static void` | `disablePushFramebuffer()`
  `static void` | `disableSingleFBO()`
  `static void` | `enablePopFramebuffer()`
  `static void` | `enablePushFramebuffer()`
  `static void` | `enableSingleFBO()`
  `static int` | `getGLMajor()`
  `static int` | `getGLMinor()`
  `static String` | `getGLSLVersion()`
  `static String` | `getGLVersion()`
  `static boolean` | `isFramebufferFixed()`
  `static boolean` | `isPopFramebufferEnabled()`
  `static boolean` | `isPushFramebufferEnabled()`
  `static boolean` | `isSingleFBO()`
  `void` | `paintTex(int glid, int target, int w, int h, int color)`
  `void` | `restoreGLMatrices()`
  `void` | `restoreGLState()`
  `void` | `restoreView()`
  `void` | `saveGLMatrices()`
  `void` | `saveGLState()`
  `void` | `saveView()`
  `static void` | `setFramebufferFixed(boolean newVal)`
  `void` | `setOrthographicView(int w, int h)`

## Field Details

### fboMultisampleAvailable

    public static boolean fboMultisampleAvailable

### fbosAvailable

    public static boolean fbosAvailable

### floatTexAvailable

    public static boolean floatTexAvailable

### fragShadersAvailable

    public static boolean fragShadersAvailable

### geoShadersAvailable

    public static boolean geoShadersAvailable

### gl

    public static GL gl

### glsl100Available

    public static boolean glsl100Available

### glu

    public static GLU glu

### multiTexAvailable

    public static boolean multiTexAvailable

### nonTwoPowTexAvailable

    public static boolean nonTwoPowTexAvailable

### shadersAvailable

    public static boolean shadersAvailable

### vbosAvailable

    public static boolean vbosAvailable

### vertShadersAvailable

    public static boolean vertShadersAvailable

## Constructor Details

### GLState

    public GLState(GL gl)

## Method Details

### clearColorBuffer

    public void clearColorBuffer(int color)

### clearTex

    public void clearTex(int glid,
                         int target,
                         int color)

### copyTex

    public void copyTex(GLTexture srcTex,
                        GLTexture destTex)

### disablePopFramebuffer

    public static void disablePopFramebuffer()

### disablePushFramebuffer

    public static void disablePushFramebuffer()

### disableSingleFBO

    public static void disableSingleFBO()

### enablePopFramebuffer

    public static void enablePopFramebuffer()

### enablePushFramebuffer

    public static void enablePushFramebuffer()

### enableSingleFBO

    public static void enableSingleFBO()

### getGLMajor

    public static int getGLMajor()

### getGLMinor

    public static int getGLMinor()

### getGLSLVersion

    public static String getGLSLVersion()

### getGLVersion

    public static String getGLVersion()

### isFramebufferFixed

    public static boolean isFramebufferFixed()

### isPopFramebufferEnabled

    public static boolean isPopFramebufferEnabled()

### isPushFramebufferEnabled

    public static boolean isPushFramebufferEnabled()

### isSingleFBO

    public static boolean isSingleFBO()

### paintTex

    public void paintTex(int glid,
                         int target,
                         int w,
                         int h,
                         int color)

### restoreGLMatrices

    public void restoreGLMatrices()

### restoreGLState

    public void restoreGLState()

### restoreView

    public void restoreView()

### saveGLMatrices

    public void saveGLMatrices()

### saveGLState

    public void saveGLState()

### saveView

    public void saveView()

### setFramebufferFixed

    public static void setFramebufferFixed(boolean newVal)

### setOrthographicView

    public void setOrthographicView(int w,
                                    int h)

processing library glgraphics by Andres Colubri. (c) 2008